[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicAction.Update

Triggers the OnUpdate event

## Declaration

Source position: classesh.inc line 2040

`public function TBasicAction.Update: Boolean; virtual;`

## Description

Update triggers the OnUpdate event, if one is assigned. It returns True if the event was triggered, or False if no event was assigned.

Application programmers should never run Update directly. The Update method is called automatically by the action mechanism; Normally this is in the Idle time of an application. An application programmer should assign the OnUpdate event, and perform any checks in that handler.

## See also

OnUpdate |  | Event triggered when the application is idle.
Execute |  | Triggers the OnExecute event
UpdateTarget |  | Notify client controls when the action updates itself.